uuid: 16305716-6845-407a-b3b9-9f5903bc88ba
langcode: en
status: true
dependencies:
  config:
    - search_api.index.resource
    - system.menu.main
    - taxonomy.vocabulary.resource_type
  content:
    - 'taxonomy_term:resource_type:fca08ca8-8e97-467c-bbc4-5953b93ad3ec'
  module:
    - search_api
    - user
_core:
  default_config_hash: QIQwiWq7BWI3IcT8you98P3JrAPrrvMhX9_RX93xnKA
id: drutopia_websites
label: 'Drutopia websites'
module: views
description: 'Displays for the resource content type based on a Search API index.'
tag: ''
base_table: search_api_index_resource
base_field: search_api_id
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      title: 'Websites built with Drutopia'
      fields: {  }
      pager:
        type: mini
        options:
          offset: 0
          items_per_page: 12
          total_pages: null
          id: 0
          tags:
            next: ››
            previous: ‹‹
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: perm
        options:
          perm: 'access content'
      cache:
        type: none
        options: {  }
      empty: {  }
      sorts:
        sticky:
          id: sticky
          table: search_api_index_resource
          field: sticky
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: DESC
          expose:
            label: ''
            field_identifier: sticky
          exposed: false
        created:
          id: created
          table: search_api_index_resource
          field: created
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: DESC
          expose:
            label: ''
            field_identifier: created
          exposed: false
      arguments: {  }
      filters:
        field_resource_type:
          id: field_resource_type
          table: search_api_index_resource
          field: field_resource_type
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value:
            - 6
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: resource_type
          type: textfield
          hierarchy: false
          limit: true
          error_message: true
      filter_groups:
        operator: AND
        groups:
          1: AND
      style:
        type: default
        options:
          grouping: {  }
          row_class: ''
          default_row_class: false
          uses_fields: false
      row:
        type: search_api
        options:
          view_modes:
            'entity:node':
              resource: card
      query:
        type: search_api_query
        options:
          bypass_access: false
          skip_access: false
      relationships: {  }
      link_display: page_listing
      link_url: ''
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url.query_args
        - user
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:search_api.index.resource'
  block_promoted:
    id: block_promoted
    display_title: 'Block Promoted'
    display_plugin: block
    position: 2
    display_options:
      pager:
        type: some
        options:
          offset: 0
          items_per_page: 4
      filters:
        field_resource_type:
          id: field_resource_type
          table: search_api_index_resource
          field: field_resource_type
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value:
            - 6
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: resource_type
          type: textfield
          hierarchy: false
          limit: true
          error_message: true
        promote:
          id: promote
          table: search_api_index_resource
          field: promote
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_boolean
          operator: '='
          value: '1'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
      filter_groups:
        operator: AND
        groups:
          1: AND
      defaults:
        pager: false
        use_more: false
        use_more_always: false
        use_more_text: false
        filters: false
        filter_groups: false
      display_description: ''
      use_more: true
      use_more_always: false
      use_more_text: 'All Drutopia websites'
      display_extenders: {  }
      block_hide_empty: true
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - user
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:search_api.index.resource'
  page_listing:
    id: page_listing
    display_title: Page
    display_plugin: page
    position: 1
    display_options:
      cache:
        type: none
      defaults:
        cache: false
        filters: true
        filter_groups: true
      display_extenders: {  }
      path: drutopia-websites
      menu:
        type: normal
        title: 'Drutopia websites'
        description: "See who's building websites with Drutopia."
        weight: -50
        expanded: false
        menu_name: main
        parent: 'menu_link_content:3f594be0-bb0f-4b30-923e-e7984983a0fd'
        context: '0'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url.query_args
        - user
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:search_api.index.resource'
